| Cabal-1.2.4.0: A framework for packaging Haskell software | Source code | Contents | Index

Distribution.InstalledPackageInfo

Portability | portable
Stability | alpha
Maintainer | libraries@haskell.org

Description
This is the information about an installed package that is communicated to the `hc-pkg` program in order to register a package. `ghc-pkg` now consumes this package format (as of verison 6.4). This is specific to GHC at the moment.
Documentation

data InstalledPackageInfo | Source

Constructors

InstalledPackageInfo |

package :: PackageIdentifier |
license :: License |
copyright :: String |
maintainer :: String |
author :: String |
stability :: String |
homepage :: String |
pkgUrl :: String |
description :: String |
category :: String |
exposed :: Bool |
exposedModules :: [String] |
hiddenModules :: [String] |
importDirs :: [FilePath] |
libraryDirs :: [FilePath] |
hsLibraries :: [String] |
extraLibraries :: [String] |
extraGHCiLibraries :: [String] |
includeDirs :: [FilePath] |
includes :: [String] |
depends :: [PackageIdentifier] |
hugsOptions :: [String] |
ccOptions :: [String] |
ldOptions :: [String] |
frameworkDirs :: [FilePath] |
frameworks :: [String] |
haddockInterfaces :: [FilePath] |
haddockHTMLs :: [FilePath] |

Instances

Read InstalledPackageInfo
Show InstalledPackageInfo

data ParseResult a | Source

Constructors

ParseFailed PError |
ParseOk [PWarning] a |

Instances

Monad ParseResult
Show a => Show (ParseResult a)

data PError | Source

Constructors

AmbigousParse String LineNo |
NoParse String LineNo |
TabsError LineNo |
FromString String (Maybe LineNo) |

Instances

Show PError

type PWarning = String | Source

emptyInstalledPackageInfo :: InstalledPackageInfo | Source

parseInstalledPackageInfo :: String -> ParseResult InstalledPackageInfo | Source

showInstalledPackageInfo :: InstalledPackageInfo -> String | Source

showInstalledPackageInfoField :: String -> Maybe (InstalledPackageInfo -> String) | Source

Produced by Haddock version 0.9